/*
 *  SBC5206 bsp_cleanup
 *
 *  This routine returns control from RTEMS to the monitor.
 *
 *  Author:
 *    David Fiddes, D.J@fiddes.surfaid.org
 *    http://www.calm.hw.ac.uk/davidf/coldfire/
 *
 *  COPYRIGHT (c) 1989-1998.
 *  On-Line Applications Research Corporation (OAR).
 *  Copyright assigned to U.S. Government, 1994.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 * 
 *  http://www.OARcorp.com/rtems/license.html.
 * 
 *  $Id: bspclean.c,v 1.11 1998/02/19 23:02:02 joel Exp $
 */

#include <rtems.h>
#include <bsp.h>

void bsp_cleanup( void )
{
  /* return control to the dBug monitor */
  asm volatile( " move.l #0x0,%%d0\n" 
                " trap   #15\n"          
                : /* no outputs */       
                : /* no inputs */
                : "d0"      ); 

}
